Module javafx.graphics
Package javafx.css

# Enum Class SizeUnits

java.lang.Object
java.lang.Enum<SizeUnits>
javafx.css.SizeUnits

All Implemented Interfaces:
  `Serializable`, `Comparable<SizeUnits>`, `Constable`

public enum SizeUnits extends Enum<SizeUnits>
Represents a size specified in a particular unit, such as 14px or 0.2em.

Since:
  9

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CM`
`DEG`
`EM`
`EX`
`GRAD`
`IN`
`MM`
`MS`
`PC`
`PERCENT`
`PT`
`PX`
`RAD`
`S`
`TURN`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAbsolute()`
`abstract double`
`pixels(double value, double multiplier, Font font)`
`abstract double`
`points(double value, double multiplier, Font font)`
`static SizeUnits`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SizeUnits[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PERCENT

public static final SizeUnits PERCENT

### IN

public static final SizeUnits IN

### CM

public static final SizeUnits CM

### MM

public static final SizeUnits MM

### EM

public static final SizeUnits EM

### EX

public static final SizeUnits EX

### PT

public static final SizeUnits PT

### PC

public static final SizeUnits PC

### PX

public static final SizeUnits PX

### DEG

public static final SizeUnits DEG

### GRAD

public static final SizeUnits GRAD

### RAD

public static final SizeUnits RAD

### TURN

public static final SizeUnits TURN

### S

public static final SizeUnits S

### MS

public static final SizeUnits MS

## Method Details

### values

public static SizeUnits[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SizeUnits valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### points

public abstract double points(double value, double multiplier, Font font)

### pixels

public abstract double pixels(double value, double multiplier, Font font)

### isAbsolute

public boolean isAbsolute()